[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#666550: libsvga1-dev: fails to upgrade from 'squeeze' - trying to overwrite /usr/share/doc/libsvga1/TODO

Package: libsvga1-dev
Followup-For: Bug #666550


during a test with piuparts I noticed your package fails to upgrade from
It installed fine in 'squeeze', then the upgrade to 'sid' fails
because it tries to overwrite files that are owned by other packages
without declaring a Breaks/Replaces relation.

See policy 7.6 at

This problem is exposed during the upgrade of the 'libtuxcap-dev'
package, not by upgrading only the buggy package itself.
In order to have piuparts automatically track this problem, I'll mark
this bug as Affects/Found in the exposing package(s), too.

>From the attached log (scroll to the bottom...):

  Unpacking replacement libsvga1-dev ...
  dpkg: error processing /var/cache/apt/archives/libsvga1-dev_1%3a1.4.3-32_amd64.deb (--unpack):
   trying to overwrite '/usr/share/doc/libsvga1/TODO', which is also in package libsvga1 1:1.4.3-29
  configured to not write apport reports
  dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)



Attachment: libtuxcap-dev_1.4.0.dfsg2-2+b2.log.gz
Description: GNU Zip compressed data

Reply to: